#include "Brick.h"
#include "WorldManager.h"

Brick::Brick(){
	//this->setSprite(new Sprite(1));
}
Brick::~Brick(){}
void Brick::move(int dx,int dy){
	this->setPos(Position(this->getPos().getX()+dx,this->getPos().getY()+dy));
}
void Brick::step(){}
int Brick::eventHandler(Event *e){
	if (e->getType() == "step") {
		//step();
		draw();
		return 1;
	}
	return 0;
}
